diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 33aa8ed..7dd37ba 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -1902,8 +1902,8 @@ AlgFactor(UP): Exports == Implementation where
     irred?  : UP  -> Boolean
  
     allk l       == removeDuplicates concat [kernels x for x in l]
-    liftpoly p   == map(#1::AN,  p)$UPCF2(Q, UPQ, AN, UP)
-    downpoly p   == map(retract(#1)@Q, p)$UPCF2(AN, UP ,Q, UPQ)
+    liftpoly p   == map(x +-> x::AN,  p)$UPCF2(Q, UPQ, AN, UP)
+    downpoly p   == map(x +-> retract(x)@Q, p)$UPCF2(AN, UP ,Q, UPQ)
     ifactor(p,l) == (fact(p pretend UP, l)) pretend Factored(SUP)
     factor p     == fact(p, allk coefficients p)
  
@@ -1939,17 +1939,18 @@ AlgFactor(UP): Exports == Implementation where
           _*/[primeFactor(liftpoly dc.factor,dc.exponent)
             for dc in factors dr]
       q   := minPoly(alpha := "max"/l)$AN
-      newl  := remove(alpha = #1, l)
+      newl  := remove((x:K):Boolean +-> alpha = x, l)
       sae := SimpleAlgebraicExtension(AN, SUP, q)
       ups := SparseUnivariatePolynomial sae
-      fr  := factor(map(reduce univariate(#1, alpha, q),
-                     p)$UPCF2(AN, UP, sae, ups),
-                      ifactor(#1, newl))$InnerAlgFactor(AN, SUP, sae, ups)
+      fr  := factor(map(x +-> reduce univariate(x, alpha, q),p)_
+               $UPCF2(AN, UP, sae, ups),_
+                 x +-> ifactor(x, newl))$InnerAlgFactor(AN, SUP, sae, ups)
       newalpha := alpha::AN
-      map((lift(#1)$sae) newalpha, unit fr)$UPCF2(sae, ups, AN, UP) *
-            _*/[primeFactor(map((lift(#1)$sae) newalpha,
-                      fc.factor)$UPCF2(sae, ups, AN, UP),
-                                 fc.exponent) for fc in factors fr]
+      map((x:sae):AN +-> (lift(x)$sae) newalpha, unit fr)_
+        $UPCF2(sae, ups, AN, UP) *
+         _*/[primeFactor(map((y:sae):AN +-> (lift(y)$sae) newalpha,fc.factor)_
+            $UPCF2(sae, ups, AN, UP),
+              fc.exponent) for fc in factors fr]
 
 @
 <<ALGFACT.dotabb>>=
diff --git a/changelog b/changelog
index f8f62e2..b8869c9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.03.tpd.patch
+20090510 tpd books/bookvol10.4 ALGFACT +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.02.tpd.patch
 20090510 tpd books/bookvol10.3 D01AKFA +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ffeee94..a1b3a4f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1164,5 +1164,7 @@ bookvol10.3 D01AJFA +-> conversion<br/>
 bookvol10.4 ALGMFACT +-> conversion<br/>
 <a href="patches/20090510.02.tpd.patch">20090510.02.tpd.patch</a>
 bookvol10.3 D01AKFA +-> conversion<br/>
+<a href="patches/20090510.03.tpd.patch">20090510.03.tpd.patch</a>
+bookvol10.4 ALGFACT +-> conversion<br/>
  </body>
 </html>
